function [sse] = SSE(V,centroid,labels)
% given a dataset, a list of centroids, and a set of labels,
% calculates the Sum of Squared Errors between points in the
% dataset and their centroids.
        ll = unique(labels);
        sse = 0;
        for i = 1 : size(ll,1)
                distances = L2_distance(V(find(labels==ll(i)),:)',centroid(ll(i),:)');
                sse = sse + sum(distances.^2);
        end
end

